"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.templateTransformer = void 0;
const utils_1 = require("@morjs/utils");
async function templateTransformer(fileContent, options, singleTags, closingSingleTag, parser) {
    const ph = (0, utils_1.posthtml)();
    if (parser)
        ph.use(async (node) => await parser(node, options));
    return (await ph.process(fileContent, {
        // 并开启无值属性的识别
        recognizeNoValueAttribute: true,
        recognizeSelfClosing: true,
        closingSingleTag: closingSingleTag !== null && closingSingleTag !== void 0 ? closingSingleTag : 'slash',
        // 0 代表  smart quote, 自动判断 " 或 '
        quoteStyle: 0,
        replaceQuote: false,
        singleTags
    })).html;
}
exports.templateTransformer = templateTransformer;
//# sourceMappingURL=templateTransformer.js.map